<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>

        <record id="view_feosco_hr_health_insurance_form" model="ir.ui.view">
            <field name="name">feosco.hr.health.insurance.form</field>
            <field name="model">feosco.hr.health.insurance</field>
            <field name="arch" type="xml">
                <form string="Health Insurace" version="7.0">
	               	<sheet>
	               		<header>
	               			<button name="set_expired" class="oe_highlight"
	                   				states="active" string="Set Expired" icon="terp-camera_test" type="object"/>
	               			<field name="state" widget="statusbar"/>
	               		</header>
		               	<div class="oe_title">
	                         <label for="employee_id" class="oe_edit_only"/>
	                         <h1>
	                             <field name="employee_id" required="1"/>
	                         </h1>
	                         <label for="name" class="oe_edit_only"/>
	                         <field name="name"/>
		                </div>
		                <group>
		                	<group>
		                		<field name="code"/>
		                      	<field name="registration_place" required="1"/>
	               			</group>
	               			<group>
			                    <field name="from_date"/>
			                    <field name="to_date"/>
		               		</group>
		                </group>
		               <notebook>
		               		<page string="Note">
				               <group>
				                    	<field name="note" nolabel="1"/>
				               </group>
			               </page>
			               <page string="Examination history">
			               		 <group>
			               		 		<field name="health_insurance_tracking_ids" nolabel="1"
			               		 		context="{'default_insurance': id}"/>/>
			               		 </group>
			               </page>
		               </notebook>
	               </sheet>
                </form>
            </field>
        </record>

        <record id="view_feosco_hr_health_insurance_tree" model="ir.ui.view">
            <field name="name">feosco.hr.health.insurance.tree</field>
            <field name="model">feosco.hr.health.insurance</field>
            <field name="arch" type="xml">
                <tree string="Health Insurance">
                	<field name="employee_id"/>
                    <field name="name"/>
                    <field name="registration_place"/>
                    <field name="code"/>
                    <field name="from_date"/>
                    <field name="to_date"/>
                    <field name="state"/>
                </tree>
            </field>
        </record>

        <record id="view_feosco_hr_health_insurance_filter" model="ir.ui.view">
            <field name="name">feosco.hr.health.insurance.filter</field>
            <field name="model">feosco.hr.health.insurance</field>
            <field name="arch" type="xml">
                <search string="Health Insurance">
                    <field name="employee_id"/>
                    <field name="name"/>
                    <field name="registration_place"/>
                    <field name="code"/>
                    <field name="from_date"/>
                    <field name="to_date"/>
                    <field name="state"/>
                    <group expand="0" string="Group By...">
                        <filter string="Registration Place" icon="terp-personal" domain="[]" context="{'group_by':'registration_place'}"/>
                    </group>
                </search>
             </field>
         </record>
      

        <record id="action_feosco_hr_health_insurance" model="ir.actions.act_window">
            <field name="name">Health</field>
            <field name="res_model">feosco.hr.health.insurance</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="view_id" ref="view_feosco_hr_health_insurance_tree"/>
            <field name="search_view_id" ref="view_feosco_hr_health_insurance_filter"/>
        </record>

       <menuitem name="Health" id="menu_feosco_hr_health_insurance" 
        		parent="menu_feosco_hr_insurance"
        		action="action_feosco_hr_health_insurance"
        		groups="base.group_hr_user"/>
        
    </data>
</openerp>
